Plan services9 matching interfaces
Update a plan
updatePlan
POST
/PlanService/updatePlan- Definition file
service_plan.proto- Available roles
- Administrator
Original definition
rpc updatePlan(UpdatePlanRequest) returns (RPCSuccess);Request message
UpdatePlanRequestUpdate a plan
Request message · Field definitions
message UpdatePlanRequest {
int64 planId = 1; // Plan ID
string name = 2; // Plan name
string description = 21; // Plan summary
bool isOn = 3; // Whether enabled
int64 clusterId = 4; // Cluster ID
bytes trafficLimitJSON = 5; // Traffic limit
bytes bandwidthLimitPerNodeJSON = 22; // Per-node bandwidth limit
bool hasFullFeatures = 20; // Whether all permissions are granted
bytes featuresJSON = 6; // Permissions in the format [code1, code2, ...]
string priceType = 7; // Pricing type: traffic, bandwidth, period
bytes trafficPriceJSON = 8; // Traffic pricing configuration
bytes bandwidthPriceJSON = 12; // Bandwidth pricing configuration
float monthlyPrice = 9; // Monthly fee
float seasonallyPrice = 10; // Quarterly fee
float yearlyPrice = 11; // Annual fee
int32 totalServers = 13; // Maximum number of websites
int32 totalServerNamesPerServer = 14; // Maximum domains per website
int32 totalServerNames = 15; // Maximum total number of domains
int64 dailyRequests = 16; // Daily request allowance
int64 monthlyRequests = 17; // Monthly request allowance
int64 dailyWebsocketConnections = 18; // Daily WebSocket connection allowance
int64 monthlyWebsocketConnections = 19; // Monthly WebSocket connection allowance
bytes maxUploadSizeJSON = 23; // Maximum file upload size @link json:size_capacity
}Response message
RPCSuccessOperation successful
Response message · Field definitions
message RPCSuccess {
}